<div class="call-control">
    <!-- sidebar -->
    <div class="answer-hangup-box" ng-class="{'ring': isRinging(), 'hangup': isEstablished()}" ng-click="triggerAction()">
        <div class="answer-hangup-call">
            <div class="circle">
                <i class="fa fa-phone fa-2x"></i>
            </div>
        </div>
    </div>
    <!-- end sidebar -->
    <meetingrooms-invite-displayer></meetingrooms-invite-displayer>
    <div class="call-wrapper">
        <call-line ng-repeat="current in calls" call="current" ng-show="!conference.active" show-recording-controls="showRecordingControls"></call-line>
        <call-conference ng-if="conference.active" call="current" show-recording-controls="showRecordingControls"></call-conference>
        <div class="call-row-wrapper div-call-placeholder" ng-show="callPlaceholderDisplayed">
            <div class="placeholder-row-child">
                <div class="call-placeholder-spinner">
                    <i class="fa fa-spinner fa-pulse fa-fw"></i>
                </div>
                <div class="call-placeholder-msg">{{ 'INIT_CALL' | translate}}</div>
            </div>
        </div>
        <div ng-if="displayCallInitError()" class="init-error-message">
            <div><span>{{ 'INIT_CALL_ERROR' | translate : dynamicTranslation }}</span><a ng-click="closeCallInitError()">X</a></div>
        </div>
        <div ng-if="videoInitError" class="init-error-message">
            <div><span>{{ videoInitError | translate }}</span><a ng-click="closeVideoInitError()">X</a></div>
        </div>
        <div ng-show="displayAudioQualityIssue()" class="audio-quality-message">
            <audio-stats-displayer statistics="statistics"></audio-stats-displayer>
        </div>
        <div ng-if="displayMicrophoneError()" class="microphone-broken-message">
            <div><span>{{ 'MIC_IS_BROKEN' | translate}}</span><a ng-click="disableMicrophoneError()">X</a></div>
        </div>
    </div>
</div>
